Skip to main content
DELETE
/
v1
/
customers
/
{id}
Python (SDK)
from polar_sdk import Polar


with Polar(
    access_token="<YOUR_BEARER_TOKEN_HERE>",
) as polar:

    polar.customers.delete(id="<value>", anonymize=False)

    # Use the SDK ...
{
  "error": "<string>",
  "detail": "<string>"
}

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The customer ID.

Query Parameters

anonymize
boolean
default:false

If true, also anonymize the customer's personal data for GDPR compliance. This replaces email with a hashed version, hashes name and billing name (name preserved for businesses with tax_id), clears billing address, and removes OAuth account data.

Response

Customer deleted.